Create custom field

Creates a new Custom Field for the Tenant.

POST
/v2/manage/custom-fields

Creates a new Custom Field for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/custom-fields" \  -H "Content-Type: application/json" \  -d '{    "CustomField": "string"  }'
{
  "Key": "custom_field_1",
  "Display": "Custom Field 1"
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "Custom field is already created",
  "Description": "This custom field is already created for this site, Please use the existing field.",
  "ErrorCode": 7919
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}